#starry-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #000000;
    z-index: -1; 
    overflow: hidden; 
}

.background-gradient { display: none; }
.stars-container { position: absolute; width: 100%; height: 100%; }

.star-wrapper {
    position: absolute;
    animation: stars linear infinite;
    transform: translateZ(0);
}

.star-inner {
    width: 100%;
    height: 100%;
    animation: twinkle linear infinite;
    border-radius: 100%;
    transform: translateZ(0);
}

@keyframes stars {
    0% { transform: translateY(110vh) translateZ(0); }
    100% { transform: translateY(-10vh) translateZ(0); }
}

@keyframes twinkle {
    0%, 80%, 100% { opacity: 0.7; }
    95% { opacity: 1; }
}